picard.analysis

## Class CollectWgsMetricsFromQuerySorted.QuerySortedSeqMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.MergeableMetricBase
    - - picard.analysis.CollectWgsMetrics.WgsMetrics
      - - picard.analysis.CollectWgsMetricsFromQuerySorted.QuerySortedSeqMetrics

- Enclosing class:
    CollectWgsMetricsFromQuerySorted

      public static class CollectWgsMetricsFromQuerySorted.QuerySortedSeqMetrics
      extends CollectWgsMetrics.WgsMetrics

  Metrics for evaluating the performance of whole genome sequencing experiments.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.analysis.MergeableMetricBase

      `MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `MEAN_INSERT_SIZE` The mean insert size, after filters are applied.
    `long` | `PF_ADAPTER_READS` The number of PF reads that are unaligned and match to a known adapter sequence right from the start of the read.
    `long` | `PF_BASES` The total number of bases, before any filters are applied.
    `long` | `PF_CHIMERIC_PAIRS` The number of PF reads that map outside of a maximum insert size (100kb) or that have the two ends mapping to different chromosomes.
    `long` | `PF_DUPE_PAIRS` The number of duplicate read pairs, before any filters are applied.
    `long` | `PF_NOISE_READS` The number of PF reads that are marked as noise reads.
    `long` | `PF_ORIENTED_PAIRS` The number of read pairs with standard orientations from which to calculate mean insert size, after filters are applied.
    `long` | `PF_PASSING_BASES` The number of passing bases, after all filters are applied.
    `long` | `PF_READ_PAIRS` The number of read pairs, before all filters are applied.
    `long` | `PF_READS_ALIGNED` The number of aligned reads, before any filters are applied.
    `CollectWgsMetricsFromQuerySorted.FILTERING_STRINGENCY` | `TYPE` Identifier for metrics type

    - ### Fields inherited from class picard.analysis.CollectWgsMetrics.WgsMetrics

      `coverageCap, GENOME_TERRITORY, HET_SNP_Q, HET_SNP_SENSITIVITY, highQualityDepthHistogram, intervals, MAD_COVERAGE, MEAN_COVERAGE, MEDIAN_COVERAGE, PCT_100X, PCT_10X, PCT_15X, PCT_1X, PCT_20X, PCT_25X, PCT_30X, PCT_40X, PCT_50X, PCT_5X, PCT_60X, PCT_70X, PCT_80X, PCT_90X, PCT_EXC_BASEQ, PCT_EXC_CAPPED, PCT_EXC_DUPE, PCT_EXC_MAPQ, PCT_EXC_OVERLAP, PCT_EXC_TOTAL, PCT_EXC_UNPAIRED, SD_COVERAGE, theoreticalHetSensitivitySampleSize, unfilteredBaseQHistogram, unfilteredDepthHistogram`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuerySortedSeqMetrics()`

  - ### Method Summary

    - ### Methods inherited from class picard.analysis.CollectWgsMetrics.WgsMetrics

      `calculateDerivedFields, merge`

    - ### Methods inherited from class picard.analysis.MergeableMetricBase

      `canMerge, merge, mergeIfCan`

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public CollectWgsMetricsFromQuerySorted.FILTERING_STRINGENCY TYPE

      Identifier for metrics type

    - #### PF_BASES

          public long PF_BASES

      The total number of bases, before any filters are applied.

    - #### PF_PASSING_BASES

          public long PF_PASSING_BASES

      The number of passing bases, after all filters are applied.

    - #### PF_READ_PAIRS

          public long PF_READ_PAIRS

      The number of read pairs, before all filters are applied.

    - #### PF_DUPE_PAIRS

          public long PF_DUPE_PAIRS

      The number of duplicate read pairs, before any filters are applied.

    - #### PF_READS_ALIGNED

          public long PF_READS_ALIGNED

      The number of aligned reads, before any filters are applied.

    - #### PF_NOISE_READS

          public long PF_NOISE_READS

      The number of PF reads that are marked as noise reads. A noise read is one which is composed entirely of A bases and/or N bases. These reads are marked as they are usually artifactual and are of no use in downstream analysis.

    - #### PF_CHIMERIC_PAIRS

          public long PF_CHIMERIC_PAIRS

      The number of PF reads that map outside of a maximum insert size (100kb) or that have the two ends mapping to different chromosomes.

    - #### PF_ADAPTER_READS

          public long PF_ADAPTER_READS

      The number of PF reads that are unaligned and match to a known adapter sequence right from the start of the read.

    - #### PF_ORIENTED_PAIRS

          public long PF_ORIENTED_PAIRS

      The number of read pairs with standard orientations from which to calculate mean insert size, after filters are applied.

    - #### MEAN_INSERT_SIZE

          public double MEAN_INSERT_SIZE

      The mean insert size, after filters are applied.

  - ### Constructor Detail

    - #### QuerySortedSeqMetrics

          public QuerySortedSeqMetrics()